Subject: how to handle "Not Yet Available"?

From: Nathan <[email-masked]>
Date: Thu, 16 Sep 2010 13:39:26 +0100

Hi,

Just a quick query, I've got a system which accepts representations via 
POST and PUT, and which automatically defines new conneg variants by 
converting the representation to other media types.

Thus because only one of the variants is defined immediately I'm:

(1) unsure whether to use 201 Created (<currently using) or 202 Accepted

(2) when a subsequent GET is requested for a variant that is not yet 
created (but is being created/scheduled) I'm unsure whether to return a 
404/412, X code with a Retry-After or?

Any clarification would be appreciated.

Best,

Nathan